<?php
	session_start();
	$ruta="../../";
	include_once($ruta."class/dominio.php");
	$dominio=new dominio;
	include_once($ruta."class/vadmejecutivo.php");
	$vadmejecutivo=new vadmejecutivo;
	 include_once($ruta."class/sindicato.php");
  $sindicato=new sindicato;
  include_once($ruta."class/grupo.php");
  $grupo=new grupo;
  include_once($ruta."class/categoriagrupo.php");
  $categoriagrupo=new categoriagrupo;
  include_once($ruta."class/personagrupo.php");
  $personagrupo=new personagrupo;
  include_once($ruta."class/persona.php");
  $persona=new persona;
	include_once($ruta."class/miempresa.php");
	$miempresa=new miempresa;
	include_once($ruta."class/usuario.php");
	$usuario=new usuario;
	include_once($ruta."class/cargo.php");
  $cargo=new cargo;
	include_once($ruta."class/directoriogdetalle.php");
	$directoriogdetalle=new directoriogdetalle;
	include_once($ruta."class/directoriog.php");
	$directoriog=new directoriog;
	include_once($ruta."funciones/funciones.php");
	include($ruta."recursos/qr/qrlib.php");
	include_once($ruta."class/vusuario2.php");
  $vusuario2=new vusuario2;
	require_once $ruta.'recursos/pdf/mpdf/vendor/autoload.php';

	/******************    SEGURIDAD *************/
	extract($_GET);
	//********* SEGURIDAD GET *************/

	$user=dcUrl($lblcode);
	$idgrupo=dcUrl($lblcodec);
	
	//$idgrupo=dcUrl($lblcode);
  $gr=$grupo->muestra($idgrupo); 
  $sin=$sindicato->muestra($gr['idsindicato']);
  $catgru=$categoriagrupo->muestra($gr['idcategoriagrupo']);

  //$sin=$sindicato->muestra($gr['idsindicato']);
  $catgru=$categoriagrupo->muestra($gr['idcategoriagrupo']);

  $dirg=$directoriog->mostrarUltimo("idgrupo=".$idgrupo." and estado=1");
$iddirectoriog=$dirg['iddirectoriog'];
  //$dirg=$directoriog->muestra($iddirectoriog);

		$fechaactual=date('Y-m-d');
    $horaactual=date('H:i:s');

$MesInforme= date("Y-m-t",strtotime($fechaini));



	$rutaImg=$ruta."imagenes/logo.png";
	$demp=$miempresa->muestra(1);

	$dus=$usuario->muestra($user);
	//$tba=$tipobanca->muestra($cred['idtipobanca']);
	//$eje=$vadmejecutivo->muestra($gr['idadmejecutivo']);
	//$ddom=$dominio->muestra($cred['frecuenciapago']);
	//$cuotacobrar=$cred['cuota']+1;
	//$canTCred=$credito->mostrarTodo("idgrupocredito=".$valor);

	$defaultConfig = (new Mpdf\Config\ConfigVariables())->getDefaults();
	$fontDirs = $defaultConfig['fontDir'];
	$defaultFontConfig = (new Mpdf\Config\FontVariables())->getDefaults();
	$fontData = $defaultFontConfig['fontdata'];

	//$consulta="SELECT sum(cuenta)  as 'maximo' FROM admcontrato where idsede=1";
	//$dcont=$credito->sql($consulta);
	//$dcont=array_shift($dcont);


	$mpdf = new \Mpdf\Mpdf([
			'fontDir' => array_merge([
		        $ruta.'recursos/font/titilium',
		    ]),
		    'fontdata' => $fontData + [
		        'frutiger' => [
		            'R' => 'TitilliumWeb-Regular.ttf',
		            'I' => 'TitilliumWeb-Italic.ttf',
		        ]
		    ],
		    'default_font' => 'frutiger',
		    'mode' => 'utf-8',
		    'margin_header' => 5, 
		    'margin_top' => 30, 
		    'orientation' => ''
		]
	);
$header='
	<table style="width:100%; font-size:12px; text-align:center;"  align="center">
        <tr >
            <td style="width:30%;" class="letras">
              <center>
                <img style="width:180px;" src="'.$rutaImg.'" ><br>
              </center>
            </td>
            <td style="width:30%;">
	            <table class="titREP" width="100%" align="center">
	            <tr>
	            	<td>
	            		<div class="titSUB">R E P O R T E</div>
	            		<div class="titPRI"><h3>LISTADO DE SOCIOS DE GRUPO</h3></div>
	            		<div class=""><h3> '.$gr['nombre'].'</h3></div>
	            	</td>
	            </tr>
	            </table>
            </td>
            <td style="width:30%;">
	            <table border="0">
	              <tr>
	                <td>
	                  <table class="letras" cellpadding="2">
	                    <tr>
	                      <td align="right">
	                        FECHA ACTUAL:
	                      </td>
	                      <td align="left">
	                        <b>'.$fechaactual.'</b>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td align="right">
	                        HORA ACTUAL:
	                      </td>
	                      <td align="left">
	                        <b>'.$horaactual.'</b>
	                      </td>
	                    </tr>
	                    <tr>
	                      <td align="right">
	                        Usuario:
	                      </td>
	                      <td align="left">
	                        <b>'.$dus['usuario'].$idgrupo.'</b>
	                      </td>
	                    </tr>
	                  </table>
	                </td>
	              </tr>
	            </table>                     
            </td>
	  	</tr>
	</table>
	';

	$html = '
	<div class="titPRI" style="text-align:center;"><h3>DATOS GENERALES DE GRUPO</h3></div>
	<div class="col s12 m12 l12" style="border-radius: 5px; border: 1px solid #E8E8E8; background: white;">
                  <fieldset class="informacion" style="background: #ebebeb;">
                    <legend><div class="titulo">
                      <strong></strong> </div></legend>
                      <div class="col s12 m4 l4">Grupo: <b>'.$gr['nombre'].'</b></div>
                      <div class="col s12 m4 l4">Categoria Grupo: <b>'.$catgru['nombre'].'</b></div>
                      <div class="col s12 m4 l4">Sindicato: <b>'.$sin['nombre'].'</b></div>
                  </fieldset> 
                </div>

                <div class="titPRI" style="text-align:center;"><h3>DIRECTORIO</h3></div>
    <table class="tablaLIST">
		<thead>
				<tr>
				  <th style="text-align:left;">Nro.</th>
				  <th style="text-align:left;">Carnet</th>
				  <th style="text-align:left;">Socio</th>
				  			
				  <th style="text-align:left;">Celular</th>
				</tr>
			</thead>
			<tbody>
				';
				
				//foreach($credito->mostrarTodo("idgrupocredito=".$valor) as $f)
				$consulta="SELECT *
									  FROM directoriogdetalle
									  WHERE estado=1 and iddirectoriog=$iddirectoriog";
				$contar=0; 
				//$totalcobro=0;
				foreach($directoriogdetalle->sql($consulta) as $dirdet)
				{

            $pergru2=$personagrupo->muestra($dirdet['idpersonagrupo']);
            $pergrudir=$persona->muestra($pergru2['idpersona']);
            $car=$cargo->muestra($dirdet['idcargo']);

                    $contar++;
					$html = $html.'
						<tr style="'.$estilo.'">
						  <td>'.$contar.'</td>
						  <td>'.$car['nombre'] .'</td>
						  <td>'.$pergrudir['nombre'].' '.$pergrudir['paterno'].' '.$pergrudir['materno'].'</td>
						  <td>'.$pergrudir['carnet'].' '.$pergrudir['expedido'].'</td>
						</tr>
					';
				}
				//$formula="";
				$html = $html.'
			</tbody>
		  <tfoot>
		    <tr>
		    <td ></td>
		    <td ></td>
		    <td ></td>
		    <td ></td>
		    </tr>
		  </tfoot>
		</table>
<br>
<div class="titPRI" style="text-align:center;"><h3>SOCIOS DEL GRUPO</h3></div>
		<table class="tablaLIST">
			<thead>
				<tr>
				  <th style="text-align:left;">Nro.</th>
				  <th style="text-align:left;">Carnet</th>
				  <th style="text-align:left;">Socio</th>
				  			
				  <th style="text-align:left;">Celular</th>
				</tr>
			</thead>
			<tbody>
				';
				
				//foreach($credito->mostrarTodo("idgrupocredito=".$valor) as $f)
				$consulta="SELECT *
									  FROM personagrupo
									  WHERE activo=1 and idgrupo=$idgrupo and estado=1";
				$contar=0; 
				//$totalcobro=0;
				foreach($personagrupo->sql($consulta) as $f)
				{
					 $per=$persona->muestra($f['idpersona']);
                      switch ($f['estado']) {
                        case '0':
                          $estilo="background-color: #FDEDEC;";
                        break;
                        case '1':
                          $estilo="";
                        break;
                      }

                    $contar++;
					$html = $html.'
						<tr style="'.$estilo.'">
						  <td>'.$contar.'</td>
						  <td>'.$per['nombre'].' '.$per['paterno'].' '.$per['materno'].'</td>
						  <td>'.$per['carnet'].' '.$per['expedido'].'</td>
						  <td>'.$per['celular'].'</td>
						</tr>
					';
				}
				//$formula="";
				$html = $html.'
			</tbody>
		  <tfoot>
		    <tr>
		    <td ></td>
		    <td ></td>
		    <td ></td>
		    <td ></td>
		    </tr>
		  </tfoot>
		</table>
<br>				
		
	';
	//==============================================================
	//==============================================================
	//==============================================================

	//$mpdf->SetDisplayMode('fullpage');

	$stylesheet = file_get_contents($ruta.'recursos/css/elisyam-1.5.css');
	$mpdf->WriteHTML($stylesheet,1); // The parameter 1 tells that this is css/style only and no
	$mpdf->SetHTMLFooter('
	<table width="100%">
	    <tr>
	        <td width="33%"></td>
	        <td width="33%" align="center"></td>
	        <td width="33%" style="text-align: right;">{PAGENO}/{nbpg}</td>
	    </tr>
	</table>');
	$mpdf->SetHeader($header,50);
	$mpdf->WriteHTML($html);
	$mpdf->Output();

?>
